Bug 362441 - Caption and Tags - use 4 digit year format instead of 2 digit year format (additionally add seconds)
Summary: Caption and Tags - use 4 digit year format instead of 2 digit year format (ad...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Captions (show other bugs)
Version: 4.14.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-28 20:36 UTC by Richard Bos
Modified: 2017-07-29 10:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments
Screenshot showing the menu and the date/time field (68.13 KB, image/jpeg)
2016-04-28 20:37 UTC, Richard Bos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Bos 2016-04-28 20:36:57 UTC
Date modification using menu "captions/tags" from the right side bar
In this menu in tab "Description" there is the possibility to enter a date.
The date format is dd/mm/yy hh:mm

The date with the 2 digit format is sometimes changed from 1995 to 2095 unintentionally.
This happens when e.g. the date set incorrectly to e.g.

Assigned date: 01/07/1995, visible date 01/07/95

Assume 1 july ( 01/07 ) was wrong and should have been 14 july.  So change
01/07/95 to 14/07/95.  Looks OK, but at the same time the year was changed from 1995 to 2095!

This is not wanted!

Sect 2: please add seconds
To make it possible to have photos displayed in the chronological order make it possible to add seconds in this time field.
I use the utility 'exiftool' to have seconds added to the EXIF field in the photos.  It's a pity that it is not possible via this GUI date/time filed.



Reproducible: Always

Steps to Reproduce:
1. Start Digikam
2. Open a photo with the date set to 01/07/1995 ( 1 July )
3. Modify the day from 01 to e.g. 14 using the Date field in the "captions/tags"  menu from the right side bar ( in the tab Description )

Sect 2: seconds
1. See the time field, it is not possible to enter seconds in the field

Actual Results:  
Not only the day is changed from 01 to 14, but the year is also changed from 1995 to 2095

Sect 2: seconds
1. It is not possible to enter seconds in the time field

Expected Results:  
The year information should remain unchanged.


Sect 2: seconds
1. It is now possible to enter seconds in the time field besides hours:minutes ( thus hh:mm:ss )



Screenshot will be added
Comment 1 Richard Bos 2016-04-28 20:37:47 UTC
Created attachment 98670 [details]
Screenshot showing the menu and the date/time field
Comment 2 Maik Qualmann 2016-05-10 04:27:13 UTC
Git commit c1af0146604723fe9e3c8419a96392af25b418e6 by Maik Qualmann.
Committed on 10/05/2016 at 04:24.
Pushed by mqualmann into branch 'master'.

use 4-digit year and seconds in the description tab
Related: bug 315740
FIXED-IN: 5.0.0

M  +91   -79   app/date/ddateedit.cpp
M  +2    -0    app/date/ddatetimeedit.cpp

http://commits.kde.org/digikam/c1af0146604723fe9e3c8419a96392af25b418e6
Comment 3 Maik Qualmann 2016-05-10 16:33:34 UTC
Git commit d646b10926c373e4afd1ca217be96ce4972d52dc by Maik Qualmann.
Committed on 10/05/2016 at 16:32.
Pushed by mqualmann into branch 'master'.

use always 4-digit year and seconds in Metadata Editor
Related: bug 315740

M  +23   -0    utilities/metadataedit/exif/exifdatetime.cpp
M  +14   -0    utilities/metadataedit/iptc/iptcenvelope.cpp
M  +19   -0    utilities/metadataedit/iptc/iptcorigin.cpp
M  +18   -0    utilities/metadataedit/iptc/iptcproperties.cpp
M  +19   -0    utilities/metadataedit/xmp/xmporigin.cpp

http://commits.kde.org/digikam/d646b10926c373e4afd1ca217be96ce4972d52dc
Comment 4 Richard Bos 2016-05-10 19:58:53 UTC
Thanks for the quick fix!

I hope that 5.0 becomes quickly available for openSUSE.